Class RankFusionSearcher

java.lang.Object
org.codelibs.fess.rank.fusion.RankFusionSearcher
Direct Known Subclasses:
DefaultSearcher

public abstract class RankFusionSearcher extends Object
Abstract base class for rank fusion searchers in the Fess search system. Rank fusion searchers are responsible for executing search queries and can be combined to implement advanced ranking strategies.
  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    protected String
    The name of this searcher, lazily initialized.
  • Constructor Summary

    Constructors
    Constructor
    Description
    Default constructor for creating a new rank fusion searcher instance.
  • Method Summary

    Modifier and Type
    Method
    Description
    Returns the name of this searcher.
    protected abstract SearchResult
    search(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean)
    Executes a search operation with the specified parameters.

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
  • Field Details

    • name

      protected String name
      The name of this searcher, lazily initialized.
  • Constructor Details

    • RankFusionSearcher

      public RankFusionSearcher()
      Default constructor for creating a new rank fusion searcher instance. This constructor initializes the searcher with default values. The searcher name will be lazily initialized when first accessed.
  • Method Details

    • getName

      public String getName()
      Returns the name of this searcher. The name is derived from the class name by converting it to lowercase and removing the "Searcher" suffix.
      Returns:
      the searcher name
    • search

      protected abstract SearchResult search(String query, SearchRequestParams params, org.dbflute.optional.OptionalThing<org.codelibs.fess.mylasta.action.FessUserBean> userBean)
      Executes a search operation with the specified parameters. This method must be implemented by concrete searcher classes.
      Parameters:
      query - the search query string
      params - the search request parameters including pagination, filters, etc.
      userBean - the optional user bean for access control and personalization
      Returns:
      the search result containing matched documents and metadata